drio
Technical ReviewAPI Reference

Apps

Authenticated app creation, updates, config, and deploy.

GET
/api/v1/apps

Authorization

oauth openid, profile, email
AuthorizationBearer <token>

In: header

Scope: openid, profile, email

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://mcp.getdrio.com/api/v1/apps"
{
  "apps": [
    {
      "id": "app_123",
      "publicMcpId": "mcp_123",
      "slug": "acme-support",
      "name": "Acme Support",
      "description": "Support copilot",
      "version": "1.0.0",
      "status": "draft",
      "isEnabled": true,
      "templateId": "support",
      "companyUrl": "https://acme.com",
      "serverInstructions": "Keep answers concise.",
      "branding": {
        "primaryColor": "#0f172a",
        "accentColor": "#22c55e",
        "backgroundColor": "#ffffff",
        "fontFamily": "Geist",
        "borderRadius": "lg"
      }
    }
  ]
}
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "requestId": "d385ab22-0f51-4b97-9ecd-b8ff3fd4fcb6"
  }
}
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "requestId": "d385ab22-0f51-4b97-9ecd-b8ff3fd4fcb6"
  }
}
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "requestId": "d385ab22-0f51-4b97-9ecd-b8ff3fd4fcb6"
  }
}
POST
/api/v1/apps

Authorization

oauth openid, profile, email
AuthorizationBearer <token>

In: header

Scope: openid, profile, email

Request Body

application/json

App creation payload

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://mcp.getdrio.com/api/v1/apps" \  -H "Content-Type: application/json" \  -d '{    "templateId": "support",    "name": "Acme Support",    "slug": "acme-support",    "companyUrl": "https://acme.com",    "branding": {      "primaryColor": "#0f172a",      "accentColor": "#22c55e",      "backgroundColor": "#ffffff",      "fontFamily": "Geist",      "borderRadius": "lg"    }  }'
{
  "app": {
    "id": "app_123",
    "publicMcpId": "mcp_123",
    "slug": "acme-support",
    "name": "Acme Support",
    "description": "Support copilot",
    "version": "1.0.0",
    "status": "draft",
    "isEnabled": true,
    "templateId": "support",
    "companyUrl": "https://acme.com",
    "serverInstructions": "Keep answers concise.",
    "branding": {
      "primaryColor": "#0f172a",
      "accentColor": "#22c55e",
      "backgroundColor": "#ffffff",
      "fontFamily": "Geist",
      "borderRadius": "lg"
    }
  }
}
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "requestId": "d385ab22-0f51-4b97-9ecd-b8ff3fd4fcb6"
  }
}
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "requestId": "d385ab22-0f51-4b97-9ecd-b8ff3fd4fcb6"
  }
}
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "requestId": "d385ab22-0f51-4b97-9ecd-b8ff3fd4fcb6"
  }
}
GET
/api/v1/apps/{appId}

Authorization

oauth openid, profile, email
AuthorizationBearer <token>

In: header

Scope: openid, profile, email

Path Parameters

appId*string

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://mcp.getdrio.com/api/v1/apps/string"
{
  "app": {
    "id": "app_123",
    "publicMcpId": "mcp_123",
    "slug": "acme-support",
    "name": "Acme Support",
    "description": "Support copilot",
    "version": "1.0.0",
    "status": "draft",
    "isEnabled": true,
    "templateId": "support",
    "companyUrl": "https://acme.com",
    "serverInstructions": "Keep answers concise.",
    "branding": {
      "primaryColor": "#0f172a",
      "accentColor": "#22c55e",
      "backgroundColor": "#ffffff",
      "fontFamily": "Geist",
      "borderRadius": "lg"
    }
  }
}
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "requestId": "d385ab22-0f51-4b97-9ecd-b8ff3fd4fcb6"
  }
}
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "requestId": "d385ab22-0f51-4b97-9ecd-b8ff3fd4fcb6"
  }
}
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "requestId": "d385ab22-0f51-4b97-9ecd-b8ff3fd4fcb6"
  }
}
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "requestId": "d385ab22-0f51-4b97-9ecd-b8ff3fd4fcb6"
  }
}
PATCH
/api/v1/apps/{appId}

Authorization

oauth openid, profile, email
AuthorizationBearer <token>

In: header

Scope: openid, profile, email

Path Parameters

appId*string

Request Body

application/json

App update payload

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X PATCH "https://mcp.getdrio.com/api/v1/apps/string" \  -H "Content-Type: application/json" \  -d '{    "description": "Support copilot for ACME.",    "isEnabled": true,    "serverInstructions": "Keep answers concise and cite sources."  }'
{
  "app": {
    "id": "app_123",
    "publicMcpId": "mcp_123",
    "slug": "acme-support",
    "name": "Acme Support",
    "description": "Support copilot",
    "version": "1.0.0",
    "status": "draft",
    "isEnabled": true,
    "templateId": "support",
    "companyUrl": "https://acme.com",
    "serverInstructions": "Keep answers concise.",
    "branding": {
      "primaryColor": "#0f172a",
      "accentColor": "#22c55e",
      "backgroundColor": "#ffffff",
      "fontFamily": "Geist",
      "borderRadius": "lg"
    }
  }
}
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "requestId": "d385ab22-0f51-4b97-9ecd-b8ff3fd4fcb6"
  }
}
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "requestId": "d385ab22-0f51-4b97-9ecd-b8ff3fd4fcb6"
  }
}
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "requestId": "d385ab22-0f51-4b97-9ecd-b8ff3fd4fcb6"
  }
}
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "requestId": "d385ab22-0f51-4b97-9ecd-b8ff3fd4fcb6"
  }
}
GET
/api/v1/apps/{appId}/config

Authorization

oauth openid, profile, email
AuthorizationBearer <token>

In: header

Scope: openid, profile, email

Path Parameters

appId*string

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://mcp.getdrio.com/api/v1/apps/string/config"
{
  "app": {
    "id": "app_123",
    "publicMcpId": "mcp_123",
    "slug": "acme-support",
    "name": "Acme Support",
    "description": "Support copilot",
    "version": "1.0.0",
    "status": "draft",
    "isEnabled": true,
    "templateId": "support",
    "companyUrl": "https://acme.com",
    "serverInstructions": "Keep answers concise.",
    "branding": {
      "primaryColor": "#0f172a",
      "accentColor": "#22c55e",
      "backgroundColor": "#ffffff",
      "fontFamily": "Geist",
      "borderRadius": "lg"
    }
  },
  "integrationProviders": [],
  "authProviders": [],
  "authStrategies": [],
  "integrations": [],
  "integrationOperations": [],
  "capabilities": [],
  "prompts": [],
  "bindings": [],
  "executionFlows": [],
  "executionNodes": [],
  "executionEdges": [],
  "widgets": [],
  "canvasNodes": [],
  "canvasEdges": [],
  "compiledSnapshots": []
}
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "requestId": "d385ab22-0f51-4b97-9ecd-b8ff3fd4fcb6"
  }
}
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "requestId": "d385ab22-0f51-4b97-9ecd-b8ff3fd4fcb6"
  }
}
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "requestId": "d385ab22-0f51-4b97-9ecd-b8ff3fd4fcb6"
  }
}
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "requestId": "d385ab22-0f51-4b97-9ecd-b8ff3fd4fcb6"
  }
}
POST
/api/v1/apps/{appId}/deploy

Authorization

oauth openid, profile, email
AuthorizationBearer <token>

In: header

Scope: openid, profile, email

Path Parameters

appId*string

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://mcp.getdrio.com/api/v1/apps/string/deploy"
{
  "app": {
    "id": "app_123",
    "publicMcpId": "mcp_123",
    "slug": "acme-support",
    "name": "Acme Support",
    "description": "Support copilot",
    "version": "1.0.0",
    "status": "deployed",
    "isEnabled": true,
    "templateId": "support",
    "companyUrl": "https://acme.com",
    "serverInstructions": "Keep answers concise.",
    "branding": {
      "primaryColor": "#0f172a",
      "accentColor": "#22c55e",
      "backgroundColor": "#ffffff",
      "fontFamily": "Geist",
      "borderRadius": "lg"
    }
  }
}
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "requestId": "d385ab22-0f51-4b97-9ecd-b8ff3fd4fcb6"
  }
}
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "requestId": "d385ab22-0f51-4b97-9ecd-b8ff3fd4fcb6"
  }
}
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "requestId": "d385ab22-0f51-4b97-9ecd-b8ff3fd4fcb6"
  }
}
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "requestId": "d385ab22-0f51-4b97-9ecd-b8ff3fd4fcb6"
  }
}